// Author: Adrian Kuegel

import java.io.*;

public class grocery {
	static String print(int a) {
		String res = a/100 + ".";
		if (a%100 < 10) res += "0";
		res += a%100;
		return res;
	}
	public static void main(String [] args) {
		for (int a=1; a<=500; ++a)
			for (int b=a; b<=(2000-a)/3; ++b)
				for (int c=b; c<=(2000-a-b)/2; ++c) {
					// looking for d with a*b*c*d = (a+b+c+d)*1000000
					// -> d = 1000000*(a+b+c) / (a*b*c-1000000)
					int s = 1000000*(a+b+c), p = a*b*c-1000000;
					if (p <= 0 || s % p != 0) continue;
					int d = s/p;
					if (d < c || a+b+c+d > 2000) continue;
					System.out.println(print(a)+" "+print(b)+" "+print(c)+" "+print(d));
				}
	}
}
